import { Plugin } from 'vite';
import { Resolver, PresetName } from 'unplugin-auto-import/types';

interface Normalize {
    (payload: {
        path: string;
        target: string;
        name: string;
    }): string;
}
interface Options$1 {
    /**
     * @default 'src/composables'
     */
    target: string;
    prefix: string;
    suffix: string;
    include: string[];
    exclude: string[];
    normalize: Normalize;
}
declare function dirResolver(options?: Partial<Options$1>): Resolver;
declare function DirResolverHelper(): Plugin;

interface Options {
    /**
     * @default ["ahooks","@vueuse/core","@vueuse/math","@vueuse/head","mobx","mobx-react-lite","preact","quasar","react","react-router","react-router-dom","react-i18next","svelte","svelte/animate","svelte/easing","svelte/motion","svelte/store","svelte/transition","vee-validate","vitepress","vue-router","vue-router/composables","vuex","uni-app","solid-js","@solidjs/router","solid-app-router","jotai","jotai/utils","recoil","@vue/composition-api","pinia","vue-demi","vue-i18n","vue-router-composables","vue","vue/macros","vitest"]
     */
    include: Array<PresetName>;
    /**
     * @default []
     */
    exclude: Array<PresetName>;
}
declare function AutoGenerateImports(options?: Partial<Options>): Array<PresetName>;
declare const vue3Presets: readonly ["vue", "vuex", "pinia", "vue-i18n", "vue-router", "@vueuse/core", "@vueuse/head", "@vueuse/math"];

export { AutoGenerateImports, DirResolverHelper, dirResolver, vue3Presets };
